Subject: Re: bug#58399: [BUG] guix-emacs error -
From: Ludovic Courtès <[email-masked]>
To: florhizome <[email-masked]>
Cc: [email-masked]
Date: Tue, 11 Oct 2022 13:46:06 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

florhizome <[email-masked]> skribis:

> when trying to use guix' emacs UI recently, the minibuffer command
> interface won't work. The issue and a possible fix (a one-line patch)
> has already been described here:
> https://gitlab.com/emacs-guix/emacs-guix/-/issues/30
> It comes from the newer geiser not containing a file for company support
> anymore. Since the afroementioned gitlab-repo doesn't have commits since
> a year, I think it's sensible to go ahead and patch it by ourselves
> instead of waiting for a fix. But personally I am not very experienced
> in doing such a thing.

This is fixed in the (new) upstream repository:

  https://git.savannah.gnu.org/cgit/guix/emacs-guix.git/commit/?id=6f5c2c3a0161a4eb99585211e2934c5f7010f249

I guess we should update the ‘emacs-guix’ package in Guix to refer to
that commit.

Thanks,
Ludo’.